#
# spec file for package sqlgui (version 0.5.0)
# 

%define prefix          /opt/kde3
%define name            sqlgui
%define ver             0.5.0
%define RELEASE         1
%define rel             %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}


%define mysql_includes	/usr/include/mysql
%define mysql_libs	/usr/lib

Distribution: SuSE Linux 7.1 (i386)
Name:         %name

Copyright:    GPL
Group:        X11/KDE/Applications
Summary:      KDE3/QT3 graphical MySQL client
Version:      %ver
Release:      %RELEASE
Source:       %{name}-%{ver}.tar.gz
#Patch:        sqlgui-main.diff
URL:          http://www.sqlgui.de/
#URL1:         http://www.sqlgui.org/
BuildRoot:    /var/tmp/%{name}-%{ver}-root
Docdir:       %{_defaultdocdir}
#Requires:     %{name}part >= %{ver}
#BuildRequires:%{name}part >= %{ver}
#Provides:     sqlgui

%description
sqlgui is a client for working with database-servers. MySql and PostgreSQL are supported currently. You can browse your databases,
create new tables and enter SQL-statements.

Authors:
--------
marcus@beranek.de


%prep
%setup -n %name-%ver
#%patch

%build
%ifarch alpha
  MYARCH_FLAGS="--host=alpha-redhat-linux"
%endif

LC_ALL=""
LINGUAS=""
LANG=""
export LC_ALL LINGUAS LANG

ARCH=%{_target_platform}
CFLAGS="$RPM_OPT_FLAGS"
CPPFLAGS="$RPM_OPT_FLAGS"                                                       
CXXFLAGS="$RPM_OPT_FLAGS"
export ARCH CFLAGS CPPFLAGS CXXFLAGS

export KDEDIR=/opt/kde3
export QTDIR=/usr/lib/qt3

CXXFLAGS="$MYARCH_FLAGS  -DNDEBUG -O2 " ./configure \
    --prefix=%{prefix} \
    --with-qt-dir=/usr/lib/qt3 \
    --with-kde=/opt/kde3 \
    --with-xinerama --with-objprelink
#    --with-extra-includes=%{mysql_includes} \
#    --with-extra-libs=%{mysql_libs}

  if [ "$SMP" != "" ]; then
    (make "MAKE=make -k -j "; exit 0)
    make
  else
    make
  fi

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

#make prefix="$RPM_BUILD_ROOT%{prefix}" install
make DESTDIR=$RPM_BUILD_ROOT install

%{?suse_check}
cd "$RPM_BUILD_ROOT"
find . -type f -o -type l | sed 's|^\.||' > /tmp/master.list

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"
rm /tmp/master.list

%post
if ! grep %{prefix}/lib /etc/ld.so.conf > /dev/null ; then
  echo "%{prefix}/lib" >> /etc/ld.so.conf
fi
/sbin/ldconfig
  
%postun -p /sbin/ldconfig

%files -f /tmp/master.list
#%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%doc [A-Z]*

%changelog -n sqlgui
* Sat Aug 24 2002 - martin.heerling@netzwerk-aktiv.com
- initial spec file
